Categories:
  - System
  - Security
License: Apache-2.0
AuthorName: proletarius101
WebSite: https://secure-system.gitlab.io/Insular/
SourceCode: https://gitlab.com/secure-system/Insular
IssueTracker: https://gitlab.com/secure-system/Insular/issues

Description: |-
    Insular is a FLOSS fork of Island.
    With Insular, you can:<ul>
    <li>Isolate app, for privacy protection.</li>
    <li>Clone app, for parallel running.</li>
    <li>Freeze app, to completely block its background behaviors.</li>
    <li>Hide app, for various reasons.</li>
    <li>Archive app, for potential future use on-demand.</li>
    <li>Use VPN only on one side, or different VPN on both sides.</li>
    <li>Prohibit USB access</li></ul>
    If your device is incompatible or not encrypted, you can skip this limitation manually. Please refer to <a href="https://forum.xda-developers.com/android/-t3366295">the XDA post</a> for details.
    To uninstall and remove Insular completely, please first "Destroy Insular" in Settings - Setup - Click the recycle-bin icon besides Insular. If you have already uninstalled Insular app, please "Remove work profile" in your device "Settings - Accounts".

    <b>PERMISSIONS</b><ul>
    <li>DEVICE-ADMIN: Device administrator privilege is required to create the Insular space (work profile), which serves as the fundamental functionality of Insular. It will be explicitly requested for your consent.</li>
    <li>PACKAGE_USAGE_STATS: Required to correctly recognize the running state of apps. It will be explicitly requested for your consent.</li></ul>
    We will never collect any data and Insular has no Internet permission. Please read our privacy policy for more details.

    <b>Differences from Island</b><ul>
    <li>all blobs (gms, crashlytics, etc) are removed to comply with F-droid's policy</li>
    <li>Internet access for this app is removed because we just don't need it</li>

RepoType: git
Repo: https://gitlab.com/secure-system/Insular.git

Builds:
  - versionName: 5.1.2
    versionCode: 51200
    commit: v5.1.2-fdroid
    subdir: assembly
    gradle:
      - complete
      - fdroid
    srclibs:
      - deagle@d4767d5e69074b03e641186fa9504be37f09c673
      - setupwizard@android10-mainline-release
    prebuild:
      - sed -i -e 's!..\/deagle!$$deagle$$!' -e 's!..\/setup-wizard!$$setupwizard$$!'
        ../settings.gradle
      - sed -i -e 's!System.env.VERSION_CODE!\"$$VERCODE$$\"!' -e 's!System.env.VERSION_NAME!\"$$VERSION$$\"!'
        build.gradle
    antifeatures:
      - Tracking

  - versionName: 5.1.2-42172be8
    versionCode: 51465
    commit: v5.1.2-42172be8
    subdir: assembly
    gradle:
      - complete
      - fdroid
    srclibs:
      - deagle@d4767d5e69074b03e641186fa9504be37f09c673
      - setupwizard@android10-mainline-release
    rm:
      - assembly/google-services.json
      - shared/src/main/res/xml/analytics_tracker.xml
    prebuild: sed -i -e 's!..\/deagle!$$deagle$$!' -e 's!..\/setup-wizard!$$setupwizard$$!'
        ../settings.gradle

  - versionName: 5.1.2-87f1b7e9
    versionCode: 51492
    commit: v5.1.2-87f1b7e9
    subdir: assembly
    gradle:
      - complete
      - fdroid
    srclibs:
      - deagle@d4767d5e69074b03e641186fa9504be37f09c673
      - setupwizard@android10-mainline-release
    rm:
      - assembly/google-services.json
      - shared/src/main/res/xml/analytics_tracker.xml
    prebuild: sed -i -e 's!..\/deagle!$$deagle$$!' -e 's!..\/setup-wizard!$$setupwizard$$!'
        ../settings.gradle

  - versionName: 5.1.2-a9e15f6f
    versionCode: 51496
    commit: v5.1.2-a9e15f6f
    subdir: assembly
    gradle:
      - complete
      - fdroid
    srclibs:
      - deagle@d4767d5e69074b03e641186fa9504be37f09c673
      - setupwizard@android10-mainline-release
    rm:
      - assembly/google-services.json
      - shared/src/main/res/xml/analytics_tracker.xml
    prebuild: sed -i -e 's!..\/deagle!$$deagle$$!' -e 's!..\/setup-wizard!$$setupwizard$$!'
        ../settings.gradle

  - versionName: 5.1.2-01dd6170
    versionCode: 51501
    disable: This version can't get upgraded to other versions
    commit: v5.1.2-01dd6170
    subdir: assembly
    gradle:
      - complete
      - fdroid
    srclibs:
      - deagle@d4767d5e69074b03e641186fa9504be37f09c673
      - setupwizard@android10-mainline-release
    rm:
      - assembly/google-services.json
      - shared/src/main/res/xml/analytics_tracker.xml
    prebuild: sed -i -e 's!..\/deagle!$$deagle$$!' -e 's!..\/setup-wizard!$$setupwizard$$!'
        ../settings.gradle

  - versionName: 5.1.2-a3fe6196
    versionCode: 51507
    disable: This version can't get upgraded to other versions
    commit: v5.1.2-a3fe6196
    subdir: assembly
    gradle:
      - complete
      - fdroid
    srclibs:
      - deagle@d4767d5e69074b03e641186fa9504be37f09c673
      - setupwizard@android10-mainline-release
    rm:
      - assembly/google-services.json
      - shared/src/main/res/xml/analytics_tracker.xml
    prebuild: sed -i -e 's!..\/deagle!$$deagle$$!' -e 's!..\/setup-wizard!$$setupwizard$$!'
        ../settings.gradle

  - versionName: 5.1.2-f60c851c
    versionCode: 51535
    commit: v5.1.2-f60c851c
    subdir: assembly
    gradle:
      - complete
      - fdroid
    srclibs:
      - deagle@d4767d5e69074b03e641186fa9504be37f09c673
      - setupwizard@android10-mainline-release
    rm:
      - assembly/google-services.json
      - shared/src/main/res/xml/analytics_tracker.xml
    prebuild: sed -i -e 's!..\/deagle!$$deagle$$!' -e 's!..\/setup-wizard!$$setupwizard$$!'
        ../settings.gradle

  - versionName: 5.1.2-d815bc83
    versionCode: 51538
    commit: v5.1.2-d815bc83
    subdir: assembly
    gradle:
      - complete
      - fdroid
    srclibs:
      - deagle@d4767d5e69074b03e641186fa9504be37f09c673
      - setupwizard@android10-mainline-release
    rm:
      - assembly/google-services.json
      - shared/src/main/res/xml/analytics_tracker.xml
    prebuild: sed -i -e 's!..\/deagle!$$deagle$$!' -e 's!..\/setup-wizard!$$setupwizard$$!'
        ../settings.gradle

  - versionName: 5.1.3-689c8c20
    versionCode: 51551
    commit: v5.1.3-689c8c20
    subdir: assembly
    gradle:
      - complete
      - fdroid
    srclibs:
      - deagle@d4767d5e69074b03e641186fa9504be37f09c673
      - setupwizard@android10-mainline-release
    rm:
      - assembly/google-services.json
      - shared/src/main/res/xml/analytics_tracker.xml
    prebuild: sed -i -e 's!..\/deagle!$$deagle$$!' -e 's!..\/setup-wizard!$$setupwizard$$!'
        ../settings.gradle

  - versionName: 5.1.3-42de5a1a
    versionCode: 51557
    commit: v5.1.3-42de5a1a
    subdir: assembly
    gradle:
      - complete
      - fdroid
    srclibs:
      - deagle@d4767d5e69074b03e641186fa9504be37f09c673
      - setupwizard@android10-mainline-release
    rm:
      - assembly/google-services.json
      - shared/src/main/res/xml/analytics_tracker.xml
    prebuild: sed -i -e 's!..\/deagle!$$deagle$$!' -e 's!..\/setup-wizard!$$setupwizard$$!'
        ../settings.gradle

  - versionName: 5.1.3-6fcbe182
    versionCode: 51560
    commit: v5.1.3-6fcbe182
    subdir: assembly
    gradle:
      - complete
      - fdroid
    srclibs:
      - deagle@d4767d5e69074b03e641186fa9504be37f09c673
      - setupwizard@android10-mainline-release
    rm:
      - assembly/google-services.json
      - shared/src/main/res/xml/analytics_tracker.xml
    prebuild: sed -i -e 's!..\/deagle!$$deagle$$!' -e 's!..\/setup-wizard!$$setupwizard$$!'
        ../settings.gradle

  - versionName: 5.3-4cac321f
    versionCode: 51565
    commit: v5.3-4cac321f
    subdir: assembly
    gradle:
      - complete
      - fdroid
    srclibs:
      - deagle@d4767d5e69074b03e641186fa9504be37f09c673
      - setupwizard@android10-mainline-release
    rm:
      - assembly/google-services.json
      - shared/src/main/res/xml/analytics_tracker.xml
    prebuild: sed -i -e 's!..\/deagle!$$deagle$$!' -e 's!..\/setup-wizard!$$setupwizard$$!'
        ../settings.gradle

  - versionName: 5.3-da5d93e4
    versionCode: 51569
    commit: v5.3-da5d93e4
    subdir: assembly
    gradle:
      - complete
      - fdroid
    srclibs:
      - deagle@d4767d5e69074b03e641186fa9504be37f09c673
      - setupwizard@android10-mainline-release
    rm:
      - assembly/google-services.json
      - shared/src/main/res/xml/analytics_tracker.xml
    prebuild: sed -i -e 's!..\/deagle!$$deagle$$!' -e 's!..\/setup-wizard!$$setupwizard$$!'
        ../settings.gradle

  - versionName: 5.4-bbca1958
    versionCode: 51576
    commit: v5.4-bbca1958
    subdir: assembly
    gradle:
      - complete
      - fdroid
    srclibs:
      - deagle@d4767d5e69074b03e641186fa9504be37f09c673
      - setupwizard@android10-mainline-release
    rm:
      - assembly/google-services.json
      - shared/src/main/res/xml/analytics_tracker.xml
    prebuild: sed -i -e 's!..\/deagle!$$deagle$$!' -e 's!..\/setup-wizard!$$setupwizard$$!'
        ../settings.gradle

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags v[\d.]+-\w+$
CurrentVersion: 5.4-bbca1958
CurrentVersionCode: 51576
